Autoblog Beta 3.2 now shows a upgrade for tag feed plug-in?

I am using Autoblog 3.2 BETA that I downloaded from this site to fix some issues I was having in MS 3.0.x. The plugin is activated and doing fine but I am getting a notification from WPMU DEV courtesy of Update Notifications that I need to upgrade Tag Feed from 3.2 beta to the latest version of 1.0.2?

I assume this is because I am using Autoblog 3.2beta? Should I upgrade to 1.0.2 of this totally different product?

Please advise.